Bug 156996 - CAN-2004-2069 openssh DoS issue
CAN-2004-2069 openssh DoS issue
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: openssh (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
: Security
: 144799 (view as bug list)
Depends On:
Blocks: 156320
  Show dependency treegraph
Reported: 2005-05-05 17:27 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2005-550
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-28 10:31:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-05-05 17:27:22 EDT
This information comes from

Basically, the MaxStartups (10) and LoginGraceTime (120 seconds) settings are
supposed to defend against DoS, but when run in privilege-separated mode (the
default), OpenSSH server does not properly kill its children after
LoginGraceTime expires. Thus, sshd processes that are still in authentication
phase after LoginGraceTime expires can hang around forever, and you can DoS an
FC2 OpenSSH server with default settings by simply opening up 10 connections to
the server, specifying an SSH key with a passphrase, and never typing the

Comment 1 Tomas Mraz 2005-05-25 09:04:39 EDT
*** Bug 144799 has been marked as a duplicate of this bug. ***
Comment 2 Josh Bressers 2005-06-02 11:28:32 EDT

Do you know if this issue also affects RHEL4?

My notes say no, but I want to double check.
Comment 3 Tomas Mraz 2005-06-02 14:04:10 EDT
This was fixed upstream before 3.9p1 version was released, so it doesn't affect

Comment 6 Red Hat Bugzilla 2005-09-28 10:31:50 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.